Skip to main content
PATCH
/
v1
/
organizations
Bulk Update Organizations
curl --request PATCH \
  --url https://api.us.lexful.app/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "type": "<string>",
    "status": "<string>",
    "description": "<string>",
    "logo_url": "<string>",
    "website_url": "<string>",
    "notes": "<string>",
    "alert": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "asset_management": "disabled"
  }
]
'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_primary": true,
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "status": "<string>",
      "description": "<string>",
      "logo_url": "<string>",
      "website_url": "<string>",
      "notes": "<string>",
      "alert": "<string>",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_management": "disabled",
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "updated_by": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Body

application/json
Required array length: 1 - 100 elements
id
string<uuid>
required

Organization ID to update

name
string

Organization name

Required string length: 1 - 255
slug
string

Organization slug

Pattern: ^[a-z0-9_-]+$
type
string

Organization type

status
string

Organization status

description
string | null

Organization description

logo_url
string<uri> | null

Organization logo URL

website_url
string<uri> | null

Organization website URL

notes
string | null

Internal notes

alert
string | null

Alert message

parent_id
string<uuid> | null

Parent organization ID

asset_management
enum<string>

Asset management status - controls entity CRUD operations

Available options:
disabled,
enabled,
read_only

Response

Default Response

items
object[]
required
total
number
required